using System;
using System.Web;

namespace EasyCourt
{
    public static class RequestExtensions
    {
        public static Boolean IsMobileDevice(this HttpRequest request)
        {
            var response = request.Browser.IsMobileDevice;
            if (response)
                return true;

            // If response is false, there are  still good chances it's a mobile device. 
            // Let's check the user-agent string for common substrings. 
            // No iPhone/Blackberry because they are correctly detected by native ASP.NET infrastructure.
            var userAgent = request.UserAgent;
            if (userAgent == null)
                return false;

            userAgent = userAgent.ToLower();
            response = userAgent.Contains("opera mini") ||
                        userAgent.Contains("mobile") ||
                        userAgent.Contains("samsung") ||
                        userAgent.Contains("nokia") ||
                        userAgent.Contains("htc") ||
                        userAgent.Contains("android") ||
                        userAgent.Contains("windows phone") ||
                        userAgent.Contains("midp") ||
                        userAgent.Contains("cldc");

            return response;
        }
    }
}