//
//  Player.m
//  Guess

#import "Player.h"


#define kNameKey		@"name"
#define kLevelKey		@"level"
#define kScoreKey		@"score"
#define kScoreDateKey	@"date"


@implementation Player

@synthesize name = _name, level = _level, score = _score, scoreDate = _scoreDate;

#pragma mark - Alloc & Init

- (id)initWithName:(NSString *)name level:(NSUInteger)level
{
	_name = [name copy];
	_level = level;
	_score = 0;
	
	return self;
}

- (id)initWithCoder:(NSCoder *)aDecoder
{
	_name = [aDecoder decodeObjectForKey:kNameKey];
	_level = [aDecoder decodeIntegerForKey:kLevelKey];
	_score = [aDecoder decodeIntegerForKey:kScoreKey];
	_scoreDate = [aDecoder decodeObjectForKey:kScoreDateKey];
	
	return self;
}

- (void)encodeWithCoder:(NSCoder *)aCoder
{
	[aCoder encodeObject:_name forKey:kNameKey];
	[aCoder encodeInteger:_level forKey:kLevelKey];
	[aCoder encodeInteger:_score forKey:kScoreKey];
	[aCoder encodeObject:_scoreDate forKey:kScoreDateKey];
}

#pragma mark - Methods

- (NSComparisonResult)compare:(Player *)player
{
	if (self.score > player.score)
	{
		return NSOrderedAscending;
	}
	else
	{
		return NSOrderedDescending;
	}
}

@end
