//
//  ScoresTableViewCell.m
//  Guess

// NOTE: use Manual Reference Counting

#import "ScoresTableViewCell.h"

#define kScoreLabelWidth	120.0f
#define kScoreLabelPadding	10.0f

@implementation ScoresTableViewCell

@synthesize player = _player;

#pragma mark - Alloc & Init

- (id)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier
{
    self = [super initWithStyle:style reuseIdentifier:reuseIdentifier];
	
    if (self)
	{		
        // set custom labels
		_nameLabel = self.textLabel;
		
		_dateLabel = self.detailTextLabel;
		
		CGRect scoreLabelFrame = CGRectMake(self.frame.size.width - kScoreLabelWidth - kScoreLabelPadding, 0.0f, kScoreLabelWidth, self.frame.size.height);
		_scoreLabel = [[UILabel alloc] initWithFrame:scoreLabelFrame];
		_scoreLabel.textAlignment = UITextAlignmentRight;
		[self addSubview:_scoreLabel];
    }
	
    return self;
}

- (void)dealloc
{
	[_scoreLabel release];
	[super dealloc];
}

#pragma mark - Setters

- (void)setPlayer:(Player *)player
{
	_player = player;
	
	_nameLabel.text = _player.name;
	_scoreLabel.text = [NSString stringWithFormat:@"%d", _player.score];
	_dateLabel.text = [NSDateFormatter localizedStringFromDate:_player.scoreDate
													 dateStyle:NSDateFormatterShortStyle
													 timeStyle:NSDateFormatterShortStyle];
}

@end
