//
//  ScoresViewController.m
//  Guess

#import "ScoresViewController.h"
#import "ScoresTableViewCell.h"
#import "Constants.h"

@implementation ScoresViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
	
    if (self)
	{
		self.title = @"Scores";
		
        NSData *playersData = [[NSUserDefaults standardUserDefaults] objectForKey:kPlayersArrayKey];
		
		if (playersData)
		{
			playersArray = [(NSArray *)[NSKeyedUnarchiver unarchiveObjectWithData:playersData] sortedArrayUsingSelector:@selector(compare:)];
		}
    }
	
    return self;
}

#pragma mark - View lifecycle

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

#pragma mark - UITableViewDataSource

// Customize the number of sections in the table view.
- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView
{
	return 1;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{	
	return playersArray.count;
}

// Customize the appearance of table view cells.
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
	static NSString *cellID = @"cellID";
	ScoresTableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:cellID];
	
	if (cell == nil)
	{
        cell = [[ScoresTableViewCell alloc] initWithStyle:UITableViewCellStyleSubtitle reuseIdentifier:cellID];
	}
	
	cell.selectionStyle = UITableViewCellSelectionStyleNone;
	cell.accessoryType = UITableViewCellAccessoryNone;
	cell.player = [playersArray objectAtIndex:indexPath.row];
	
	return cell;
}

@end
