package com.expoware;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.DialogInterface;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

public class GameActivityInitializer
{
    private static AlertDialog theDialogBox;
    private static Toast theToast;

    public static void MessageBox(Activity parent, String message)
    {
        theDialogBox.setButton("OK", new DialogInterface.OnClickListener() {
            public void onClick(DialogInterface dialog, int id) {
                dialog.dismiss();
            }
        });
        theDialogBox.setMessage(message);
        theDialogBox.setTitle(parent.getString(R.string.app_name));
        theDialogBox.show();
    }

    public static void Toast(String message)
    {
        theToast.setText(message);
        theToast.show();
    }
    
    public static void PrepareWidgets(GameActivity parent)
    {
        final GameActivity theParent = parent;
        if (theParent == null)
            return;

        theParent.PlayerLabelRef = (TextView) theParent.findViewById(R.id.currentPlayer);
        theParent.LevelLabelRef = (TextView) theParent.findViewById(R.id.currentLevel);
        theParent.HintsLabelRef = (TextView) theParent.findViewById(R.id.currentHints);
        theParent.AttemptsLabelRef = (TextView) theParent.findViewById(R.id.currentAttempts);
        theParent.StatusLabelRef = (TextView) theParent.findViewById(R.id.currentStatus);
        theParent.NumberToTryRef = (EditText) theParent.findViewById(R.id.numberToTry);
        theParent.TryButtonRef = (Button) theParent.findViewById(R.id.tryButton);

        // Set click handler on Start button
        theParent.TryButtonClick =  new View.OnClickListener() {
            public void onClick(View v) {
                String numberAsText = theParent.NumberToTryRef.getText().toString().trim();
                if (numberAsText.contentEquals("")) {
                    MessageBox(theParent, theParent.getString(R.string.InvalidAttempt));
                    return;
                }
                else
                {
                    int number = Integer.parseInt(numberAsText);
                    theParent.NewAttempt(number);
                }
            }
        };
        theParent.TryButtonRef.setOnClickListener(theParent.TryButtonClick);

        // Prepare the dialog box object
        AlertDialog.Builder builder = new AlertDialog.Builder(parent);
        theDialogBox = new AlertDialog.Builder(parent).create();
        
        // Prepare the toast object
        theToast = Toast.makeText(parent, "", Toast.LENGTH_SHORT);
    }
}
