package com.expoware;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.DialogInterface;
import android.view.View;
import android.widget.Button;
import android.widget.RadioGroup;
import android.widget.TextView;

public class GuessActivityInitializer
{
    private static AlertDialog theDialogBox;
    
    public static void MessageBox(Activity parent,String message)
    {
        theDialogBox.setButton("OK", new DialogInterface.OnClickListener() {
            public void onClick(DialogInterface dialog, int id) {
                dialog.dismiss();
            }
        });
        theDialogBox.setMessage(message);
        theDialogBox.setTitle(parent.getString(R.string.app_name));
        theDialogBox.show();
    }
    
    public static void PrepareWidgets(GuessActivity parent)
    {
        final GuessActivity theParent = parent;
        if (theParent == null)
            return;

        // Attempt to load any saved match
        GameInfo info = PreferenceHelper.LoadGame(theParent);

        // Grab outlets for UI widgets
        theParent.StartButtonRef = (Button) theParent.findViewById(R.id.startButton);
        theParent.PlayerNameEditRef = (TextView) theParent.findViewById(R.id.playerNameEdit);
        //theParent.LevelSpinnerRef = (Spinner) theParent.findViewById(R.id.levelSpinner);
        theParent.LevelRadioGroupRef = (RadioGroup) theParent.findViewById(R.id.levelGroup);
        
        // Do some extra initialization
        int radioId = getRadioIdFromLevel(info.Level);
        theParent.LevelRadioGroupRef.check(radioId);
        theParent.PlayerNameEditRef.setText(info.PlayerName);


        // Add supported levels to the spinner
        //ArrayAdapter<CharSequence> adapter = ArrayAdapter.createFromResource(
        //        theParent, R.array.levels_array, android.R.layout.simple_spinner_item);
        //adapter.setDropDownViewResource(android.R.layout.simple_spinner_dropdown_item);
        //theParent.LevelSpinnerRef.setAdapter(adapter);

        // Set click handler on Start button
        theParent.StartButtonClick =  new View.OnClickListener() {
            public void onClick(View v) {
                String name = theParent.PlayerNameEditRef.getText().toString().trim();
                if (name.contentEquals("")) {
                    MessageBox(theParent, theParent.getString(R.string.MustEnterNameToPlay));
                    return;
                }
                else
                    theParent.StartGame();
            }
        };
        theParent.StartButtonRef.setOnClickListener(theParent.StartButtonClick);

        // Prepare the dialog box object
        AlertDialog.Builder builder = new AlertDialog.Builder(parent);
        theDialogBox = new AlertDialog.Builder(parent).create();
    }

    private static int getRadioIdFromLevel(GameLevel level)
    {
        int id;
        switch(level)
        {
            case Basic:
                id = R.id.level_basic;
                break;
            case Medium:
                id = R.id.level_medium;
                break;
            case Super:
                id = R.id.level_super;
                break;
            default:
                id = R.id.level_basic;
                break;
        }
        return id;
    }
}
