package com.expoware;

import android.app.Activity;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.TextView;

import java.util.ArrayList;

public class ScoresAdapter extends ArrayAdapter<ScoreInfo>
{
    private final Activity context;
    private final ArrayList<ScoreInfo> scores;

    public ScoresAdapter(Activity context, ArrayList<ScoreInfo> currentScores)
    {
        super(context, R.layout.listitem, currentScores);
        this.context = context;
        this.scores = currentScores;
    }


    // static to save the reference to the outer class and to avoid access to
    // any members of the containing class
    static class ViewHolder
    {
        public TextView ScorePoints;
        public TextView ScorePlayer;
        public TextView ScoreDate;
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent)
    {
        ViewHolder holder;
        View listItemView;

        listItemView = convertView;
        if (convertView == null)
        {
            LayoutInflater inflater = context.getLayoutInflater();
            listItemView = inflater.inflate(R.layout.listitem, null, true);
            holder = new ViewHolder();
            holder.ScoreDate = (TextView) listItemView.findViewById(R.id.scoreDate);
            holder.ScorePlayer = (TextView) listItemView.findViewById(R.id.scorePlayer);
            holder.ScorePoints = (TextView) listItemView.findViewById(R.id.scorePoints);
            listItemView.setTag(holder);
        }
        else
        {
            holder = (ViewHolder) convertView.getTag();
        }

        // Set the text/icon to display
        String pts = String.format("%,d", scores.get(position).Points);
        holder.ScorePoints.setText(pts);
        holder.ScoreDate.setText(scores.get(position).DateOfScore);
        holder.ScorePlayer.setText(scores.get(position).Name);

        return listItemView;
    }

}
