package com.expoware;

import android.app.Dialog;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

public class WinDialog extends Dialog implements View.OnClickListener
{
    public static String ScoredPointsKey = "Points";
    public static String SecretNumberKey = "Number";

    private Button startButton, scoresButton;
    private TextView pointsScored, secretNumber;
    private IDialogListener _onWinDialogListener;
    private Context currentContext;

    public WinDialog(Context context, IDialogListener listener)
    {
        super(context);
        _onWinDialogListener = listener;
        currentContext = context;

        setContentView(R.layout.winner);
        setTitle(R.string.youWon);

        startButton = (Button) findViewById(R.id.startButton);
        scoresButton = (Button) findViewById(R.id.scoresButton);
        pointsScored = (TextView) findViewById(R.id.scoreLabel);
        secretNumber = (TextView) findViewById(R.id.secretNumber);
        startButton.setOnClickListener(this);
        scoresButton.setOnClickListener(this);
    }

    @Override
    public void onCreate(Bundle bundle)
    {
        Bundle data = _onWinDialogListener.Initialize();
        String points = String.format("%,d %s", data.getInt(ScoredPointsKey), currentContext.getString(R.string.pts));
        pointsScored.setText(points);
        String number = String.format("%,d", data.getInt(SecretNumberKey));
        secretNumber.setText(number);
    }

    public void onClick(View v)
    {
        if (v == startButton)
        {
            Bundle bundle = new Bundle();   // In case you need to return values from the dialog
            _onWinDialogListener.Completed(bundle);
            dismiss();
        }

        if (v == scoresButton)
        {
            Intent i = new Intent(currentContext, ScoreListActivity.class);
            currentContext.startActivity(i);
            dismiss();
        }
    }
}
