using System;
using System.Web;
using GuessMobile.Framework.Logic;

namespace GuessMobile.Framework.Helpers
{
    public class GuessHelpers
    {
        private const String SessionSlotGameState = "Guess_State";
        private const String SlotForSettings = "Guess_Settings";

        public static Settings ReadSettings()
        {
            var settings = HttpContext.Current.Session[SlotForSettings] as Settings;
            return settings ?? new Settings();
        }

        public static void SaveSettings(Settings settings)
        {
            HttpContext.Current.Session[SlotForSettings] = settings;
        }

        public static GameState ReadState()
        {
            var state = HttpContext.Current.Session[SessionSlotGameState] as GameState;
            return state; // ?? new GameState();
        }

        public static void SaveState(GameState state)
        {
            HttpContext.Current.Session[SessionSlotGameState] = state;           
        }
    }
}