using System;

namespace GuessMobile.Framework.Logic
{
    /// <summary>
    /// Settings available for the game.
    /// </summary>
    public class Settings
    {
        public Settings()
        {
            GameLevel = Level.Basic;
            EnableHints = true;
            ShowNumberBar = true;
        }

        /// <summary>
        /// Level of the game
        /// </summary>
        public Level GameLevel { get; set; }

        /// <summary>
        /// Indicates whether the user wants to have the Hint button
        /// </summary>
        public Boolean EnableHints { get; set; }

        /// <summary>
        /// Indicates whether the user want to have the number-bar
        /// </summary>
        public Boolean ShowNumberBar { get; set; }
    }
}