using System;
using GuessMobile.Content.Text;

namespace GuessMobile.ViewModels
{
    /// <summary>
    /// Base class describing the properties common to all pages in the app.
    /// </summary>
    public class ViewModelBase
    {
        public ViewModelBase()
        {
            Footer = Strings.AppFooter;
            Title = Strings.AppTitle;
            RightButtonText = Strings.ButtonStart;
            LeftButtonText = Strings.ButtonBack;
            LogoRelativeUrl = "~/Content/Images/guess.jpg";
        }

        /// <summary>
        /// Gets and sets the page title and header text (in a jQuery Mobile classic template)
        /// </summary>
        public String Title { get; set; }

        /// <summary>
        /// Gets and sets the text (single line) to show in the footer. 
        /// </summary>
        public String Footer { get; set; }

        /// <summary>
        /// Gets and sets the caption of the button on the left side of the header.
        /// </summary>
        public String LeftButtonText { get; set; }

        /// <summary>
        /// Gets and sets the caption of the button on the right side of the header.
        /// </summary>
        public String RightButtonText { get; set; }

        /// <summary>
        /// Gets and sets the relative URL to the logo to display underneath the header.
        /// </summary>
        public String LogoRelativeUrl { get; set; }
    }
}