using System;
using System.Linq;
using GuessMobile.Content.Text;
using GuessMobile.Framework.Logic;
using GuessMobile.ViewModels.Helpers;
using GuessMobile.ViewModels.Home;
using GuessMobile.WorkerServices.Abstractions;

namespace GuessMobile.WorkerServices.Home
{
    public class HomeService : IHomeService
    {
        public HomeViewModel GetHomePageInfo()
        {
            var model = new HomeViewModel();
            model.MenuItems.Add(new MenuItem()
                                    {
                                        LinkText = Strings.Menu_AdjustSettings,
                                        ActionName = "settings",
                                        ControllerName = "home"
                                    });
            model.MenuItems.Add(new MenuItem()
                                    {
                                        LinkText = Strings.Menu_BestResultsEver,
                                        ActionName = "results",
                                        ControllerName = "home"
                                    });
            model.MenuItems.Add(new MenuItem()
                                    {
                                        LinkText = Strings.Menu_AboutUs,
                                        ActionName = "about",
                                        ControllerName = "home"
                                    });
            return model;
        }

        public SettingsViewModel GetSettingsInfo(Settings settings)
        {
            var model = new SettingsViewModel {CurrentSettings = settings};
            return model;
        }

        public BestResultsViewModel GetResultsInfo(Int32 from = 1, Int32 to = 10)
        {
            var model = new BestResultsViewModel();

            model.TrackedScores.Add(new TrackedScore {DayOfGame = DateTime.Now, Player="Dino", Score = 89});
            model.TrackedScores.Add(new TrackedScore { DayOfGame = DateTime.Now.AddDays(-2), Player = "Miki", Score = 54 });
            model.TrackedScores.Add(new TrackedScore { DayOfGame = DateTime.Now.AddMinutes(-4500), Player = "Paul", Score = 101 });
            return model;
        }
    }
}