package com.expoware;

import android.app.Activity;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ImageView;
import android.widget.TextView;

public class AndroTennisAdapter extends ArrayAdapter<String>
{
	private final Activity context;
	private final String[] matches;

    public AndroTennisAdapter(Activity context, String[] matches)
    {
        super(context, R.layout.listitem, matches);
        this.context = context;
        this.matches = matches;
    }

    // static to save the reference to the outer class and to avoid access to
    // any members of the containing class
    static class ViewHolder
    {
        public ImageView MatchIcon;
        public TextView MatchDisplayText;
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent)
    {
        ViewHolder holder;
        View listItemView;

        listItemView = convertView;
        if (convertView == null)
        {
            LayoutInflater inflater = context.getLayoutInflater();
            listItemView = inflater.inflate(R.layout.listitem, null, true);
            holder = new ViewHolder();
            holder.MatchDisplayText = (TextView) listItemView.findViewById(R.id.text);
            holder.MatchIcon = (ImageView) listItemView.findViewById(R.id.icon);
            listItemView.setTag(holder);
        }
        else
        {
            holder = (ViewHolder) convertView.getTag();
        }

        // Determine the icon to display
        int iconId = R.drawable.inprogress;
        String matchBeingDisplayed = matches[position];
        if (matchBeingDisplayed.contains(" d. "))
            iconId = R.drawable.winner;

        // Set the text/icon to display
        holder.MatchDisplayText.setText(matches[position]);
        holder.MatchIcon.setImageResource(iconId);

        return listItemView;
    }
}
