package com.expoware;

import android.text.format.Time;
import org.apache.http.HttpEntity;
import org.apache.http.HttpResponse;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.impl.client.DefaultHttpClient;
import org.apache.http.util.EntityUtils;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.NodeList;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;
import java.io.IOException;
import java.io.StringReader;
import java.text.SimpleDateFormat;
import java.util.Calendar;

public class StatisHelpers
{
    public static MatchesBundle GetCurrentMatches()
    {
        String[] matches = new String[] {
                "Federer d. Nadal 63 60",
                "Esposito D. vs Cremona A. 63 *55",
                "Contoso d. Foo 2-3* ret."
        };

        //String[] matches = DownloadFromStatisService();
        Time now = new Time();
        now.setToNow();

        Calendar c = Calendar.getInstance();
        SimpleDateFormat df = new SimpleDateFormat("dd MMM, HH:mm:ss");
        String lastUpdate = df.format(c.getTime());

        MatchesBundle data = new MatchesBundle();
        data.Matches = matches;
        data.LastUpdate = lastUpdate;
        return data;
    }

    private static String[] DownloadFromStatisService()
    {
        int tournamentId = 1;
        String url = "http://www.expoware.org/statis/feed/matches?t=1"; // +tournamentId;
        String xml = "";
        try {
            DefaultHttpClient client = new DefaultHttpClient();
            HttpGet request = new HttpGet(url);
            HttpResponse response = client.execute(request);
            HttpEntity entity = response.getEntity();
            xml = EntityUtils.toString(entity);
        }
        catch(IOException ioException)
        {
        }

        String[] matches = ParseXml(xml);
        return matches;
    }

    private static String[] ParseXml(String xml)
    {
        Document doc = DomFromString(xml);
        NodeList nodes = doc.getElementsByTagName("matches");
        Element matchesElement = (Element) nodes.item(0);
        NodeList vn = matchesElement.getChildNodes();

        int size = vn.getLength()-1;
        if (size == 0)
            return new String[0];

        String[] results = new String[size];
        for (int i = 0; i < size; i++)
        {
            Element e = (Element) vn.item(i+1);
            results[i] = e.getTextContent();
        }
        return results;
    }

    public static Document DomFromString(String xml)
    {
	    Document doc = null;
        DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();
        try {
		    DocumentBuilder db = dbf.newDocumentBuilder();
		    InputSource is = new InputSource();
	        is.setCharacterStream(new StringReader(xml));
	        doc = db.parse(is);
		} catch (ParserConfigurationException e) {
			System.out.println("XML parse error: " + e.getMessage());
			return null;
		} catch (SAXException e) {
			System.out.println("Wrong XML file structure: " + e.getMessage());
            return null;
		} catch (IOException e) {
			System.out.println("I/O exception: " + e.getMessage());
			return null;
		}

        return doc;
	}
}
