package com.expoware.tweet;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.IntentFilter;

/**
 * Created by IntelliJ IDEA.
 * User: DinoE
 * Date: 10/8/11
 * Time: 4:07 PM
 * To change this template use File | Settings | File Templates.
 */
public class NetworkStateHelpers
{
    private static Context _context;
    private static BroadcastReceiver _networkStateReceiver;
    private static IntentFilter _connectivityChangeFilter;
    private static IntentFilter _wifiChangeFilter;

    public static void SetReceiver(Context context, NetworkStateReceiver networkStateReceiver)
    {
        _context = context;
        _networkStateReceiver = networkStateReceiver;
        _connectivityChangeFilter = new IntentFilter("android.net.conn.CONNECTIVITY_CHANGE");
        _wifiChangeFilter = new IntentFilter("android.net.wifi.STATE_CHANGE");
    }

    public static void RegisterReceivers()
    {
        if (_networkStateReceiver != null && _connectivityChangeFilter != null)
            _context.registerReceiver(_networkStateReceiver, _connectivityChangeFilter);
        if (_networkStateReceiver != null && _wifiChangeFilter != null)
            _context.registerReceiver(_networkStateReceiver, _wifiChangeFilter);
    }

    public static void UnregisterReceivers()
    {
        if (_networkStateReceiver != null)
            _context.unregisterReceiver(_networkStateReceiver);
    }
}
