package com.expoware.tweet;

import android.content.Context;
import android.content.SharedPreferences;

public class PreferenceHelper {
    private static final String StorageName = "Tweet-User-Info";
    private static final String StorageEntry_User = "twitter_user";
    private static final String StorageEntry_Token = "twitter_token";
    private static final String StorageEntry_Secret = "twitter_tokensecret";
    
    public static LoginInfo LoadLoginInfo(Context context)
    {
        SharedPreferences preferences = context.getSharedPreferences(StorageName, Context.MODE_PRIVATE);
        LoginInfo info = new LoginInfo();
        info.ScreenName = preferences.getString(StorageEntry_User, null);
        info.Token = preferences.getString(StorageEntry_Token, null);
        info.TokenSecret = preferences.getString(StorageEntry_Secret, null);
        return info;
    }

    public static void SaveLoginInfo(Context context, LoginInfo info)
    {
        SharedPreferences preferences = context.getSharedPreferences(StorageName, Context.MODE_PRIVATE);
        SharedPreferences.Editor e = preferences.edit();
        e.putString(StorageEntry_User, info.ScreenName);
        e.putString(StorageEntry_Token, info.Token);
        e.putString(StorageEntry_Secret, info.TokenSecret);
        e.commit();
    }

    public static void EmptyLoginInfo(Context context)
    {
        SaveLoginInfo(context, new LoginInfo());
    }
}
