﻿using System;
using System.Web.Mvc;

namespace WurflPeek.Framework.ViewEngines
{
    /// <summary>
    /// Extension methods to improve selection of resources
    /// in case of mobility and localization.
    /// </summary>
    public static class UrlExtensions
    {
        public static String Content(this UrlHelper helper, String contentPath, Boolean mobile=false)
        {
            ViewResolverBase resolver = null;
            if (mobile)
                resolver = new DefaultWurflViewResolver();

            if (resolver == null)
                return contentPath;

            var url = contentPath;
            if (!String.IsNullOrEmpty(contentPath))
                url = resolver.GetName(helper.RequestContext, contentPath);
            return helper.Content(url);
        }
    }
}