using System;

namespace WurflPeek.Framework.WurflHelpers
{
    public static class StringExtensions
    {
        public static Boolean ToBool(this String theString, Boolean defaultValue = false)
        {
            Boolean value;
            var success = Boolean.TryParse(theString.ToLower(), out value);
            return success ? value : defaultValue;
        }

        public static Int32 ToInt(this String theString, Int32 defaultValue = default(Int32))
        {
            Int32 value;
            var success = Int32.TryParse(theString, out value);
            return success ? value : defaultValue;
        }

        public static Boolean NoneOrEmpty(this String theString, Boolean defaultValue = true)
        {
            var lowerString = theString.ToLower();
            if (String.IsNullOrWhiteSpace(lowerString))
                return true;
            if (lowerString.Equals("none"))
                return true;

            return false;
        }

        public static String ToNiceDate(this String theString)
        {
            return theString.Replace('_', ' ');
        }
    }
}