﻿using System.Web.Mvc;
using System.Web.Routing;
using WurflPeek.Framework.ViewEngines;
using WurflPeek.Framework.WurflHelpers;

namespace WurflPeek
{
    public class MvcApplication : System.Web.HttpApplication
    {
        protected void Application_Start()
        {
            RegisterRoutes(RouteTable.Routes);
            RegisterViewEngine(ViewEngines.Engines);
            WurflHelper.Initialize();
        }

        public static void RegisterViewEngine(ViewEngineCollection viewEngines)
        {
            viewEngines.Clear();
            viewEngines.Add(new AmseRazorViewEngine());
        }

        #region ASP.NET MVC Facilities
        public static void RegisterRoutes(RouteCollection routes)
        {
            routes.IgnoreRoute("{resource}.axd/{*pathInfo}");

            routes.MapRoute(
                "Default", // Route name
                "{controller}/{action}/{id}", // URL with parameters
                new { controller = "Home", action = "Index", id = UrlParameter.Optional } // Parameter defaults
            );

        }
        #endregion
    }
}