﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using System.IO.IsolatedStorage;
using Microsoft.Phone.Shell;
using System.Windows.Controls.Primitives;

namespace GuessPivot
{
    public partial class Guess : PhoneApplicationPage
    {
        static int lowLimit;
        int number;
        int attempts, hints;
        public bool PopupIsOpen;
        public bool QuitPopupIsOpen;
        public Popup PopupOpen;
        public Popup QuitOpen;
        public Guess()
        {
            InitializeComponent();
            InitializeScreen();
            App.MyGuessPage = this;
        }

        private void InitializeScreen()
        {
            Name.Text = GetName();
            ApplicationTitle.Text = GetLevel();
            Attempts.Text = string.Format("Attempts: {0}", attempts);
            Hints.Text = string.Format("Hints: {0}", hints);
            RefreshState();
            NewGame();
        }

        private void InitializeMatch()
        {
            NewGame();
            InitializeScreenForNewMatch();
        }

        private void InitializeScreenForNewMatch()
        {
            Try.IsEnabled = true;
            NumberTxt.IsEnabled = true;
            //Hint.IsEnabled = true;
            //Quit.IsEnabled = true;
            InitializeScreen();

        }

        private String GetLevel()
        {
            if (App.levelLimit == 100)
            {
                string level = "Basic";
                return level;
            }
            if (App.levelLimit == 10000)
            {
                string level = "Medium";
                return level;
            }
            if (App.levelLimit == 1000000)
            {
                string level = "Super";
                return level;
            }
            else
                return string.Empty;
        }

        private String GetName()
        {
            var settings = IsolatedStorageSettings.ApplicationSettings;
            if (settings.Contains("Name"))
                return settings["Name"].ToString();
            else
                return String.Empty;
        }

        public Popup GuessedPopup()
        {
            var popup = new Popup();
            var overlay = new Canvas { Background = new SolidColorBrush(Colors.Transparent) };
            var content = new Guessed();
            overlay.Children.Add(content);
            popup.Child = overlay;
            return popup;
        }

        public Popup QuitPopup()
        {
            var popup = new Popup();
            var overlay = new Canvas { Background = new SolidColorBrush(Colors.Transparent) };
            var content = new QuitPopUp();
            overlay.Children.Add(content);
            popup.Child = overlay;
            return popup;
        }


        private void Try_Click(object sender, RoutedEventArgs e)
        {
            NumberTxt.Focus();
            var textNumber = NumberTxt.Text;
            int writtenNumber;
            bool result = Int32.TryParse(textNumber, out writtenNumber);
            if (!result)
            {
                MessageBox.Show("Insert a valid number", "Guess", MessageBoxButton.OK);
                return;
            }

            attempts++;
            Attempts.Text = string.Format("Attempts: {0}", attempts);

            if (writtenNumber == number)
            {
                MatchState.Text = string.Format("{0} you guessed the number", GetName());
                Try.IsEnabled = false;
                NumberTxt.IsEnabled = false;
                NumberTxt.Text = String.Empty;

                var settingsContainer = new Expoware.Utilities.SettingsContainer<Helpers.ScoreContainer>();
                var scores = settingsContainer.Load() ?? new Helpers.ScoreContainer();
                string points = (App.levelLimit / (hints + attempts)).ToString();
                App.Points = points;
                scores.ScoreList.Add(new Helpers.ScoreElement { PlayerName = GetName(), Score = points, Date = DateTime.Now.ToString()});
                settingsContainer.Save();
                var scores1 = settingsContainer.Load();
                var x = 0;
                PopupIsOpen = true;
                PopupOpen = GuessedPopup();
                PopupOpen.IsOpen = true;
            }

            if (writtenNumber < number)
            {
                lowLimit = Math.Max(writtenNumber, lowLimit);

                RefreshState();
                NumberTxt.Text = String.Empty;
            }

            if (writtenNumber > number)
            {
                App.highLimit = Math.Min(writtenNumber, App.highLimit);
                RefreshState();
                NumberTxt.Text = String.Empty;
            }

            return;
        }

        private void NewGame()
        {
            var numberGenerator = new Random();
            number = numberGenerator.Next(0, App.highLimit);
            App.NumberToGuess = number.ToString();
            lowLimit = 0;
        }

        private void RefreshState()
        {
            MatchState.Text = string.Format("Between: {0} and {1}", lowLimit, App.highLimit);
        }

        private void Hint_Click(object sender, EventArgs e)
        {
            hints++;
            Hints.Text = string.Format("Hints: {0}", hints);
            NumberTxt.Text = GetInt();
        }

        private string GetInt()
        {
            var hint = ((App.highLimit - lowLimit) / 2 + lowLimit);
            return hint.ToString();
        }

        private void PhoneApplicationPage_BackKeyPress(object sender, System.ComponentModel.CancelEventArgs e)
        {
            if (PopupIsOpen == true)
            {
                PopupOpen.IsOpen = false;
                PopupIsOpen = false;
                e.Cancel = true;
            }
        }

        private void PhoneApplicationPage_Loaded(object sender, RoutedEventArgs e)
        {
            NumberTxt.Focus();
        }
       
        private void QuitMatch()
        {
            QuitPopupIsOpen = true;
            QuitOpen = QuitPopup();
            QuitOpen.IsOpen = true;
        }

        private void Quit_Click(object sender, EventArgs e)
        {
            InitializeMatch();
            QuitMatch();
        }

 
    }
}