﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using System.IO.IsolatedStorage;
using System.IO;

namespace GuessPivot
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor

        public MainPage()
        {
            InitializeComponent();
            InitializeScreen();

            // Set the data context of the listbox control to the sample data
            DataContext = App.ViewModel;
            this.Loaded += new RoutedEventHandler(MainPage_Loaded);
        }

        private void InitializeScreen()
        {
            GetName();
            GetCheckedRadioButton();
        }

        private void GetName()
        {
            var settings = IsolatedStorageSettings.ApplicationSettings;
            if (settings.Contains("Name"))
                PlayerName.Text = settings["Name"].ToString();
            else
            {
                settings["Name"] = string.Empty;
                settings.Save();
            }
        }

        private void GetCheckedRadioButton()
        {
            var settings = IsolatedStorageSettings.ApplicationSettings;
            if (settings.Contains("BasicIsCheked"))
            {
                Basic.IsChecked = (bool)settings["BasicIsCheked"];
            }
            else
            {
                settings["BasicIsCheked"] = true;
                settings.Save();
            }

            if (settings.Contains("MediumIsCheked"))
            {
                Medium.IsChecked = (bool)settings["MediumIsCheked"];
            }
            else
            {
                settings["MediumIsCheked"] = false;
                settings.Save();
            }

            if (settings.Contains("SuperIsCheked"))
            {
                Super.IsChecked = (bool)settings["SuperIsCheked"];
            }
            else
            {
                settings["SuperIsCheked"] = false;
                settings.Save();
            }
        }

        // Load data for the ViewModel Items
        private void MainPage_Loaded(object sender, RoutedEventArgs e)
        {
            if (!App.ViewModel.IsDataLoaded)
            {
                App.ViewModel.LoadData();
            }
        }

        private void PlayerName_TextChanged(object sender, TextChangedEventArgs e)
        {
            var settings = IsolatedStorageSettings.ApplicationSettings;
            if (settings.Contains("Name"))
                settings["Name"] = PlayerName.Text;
            else
                settings.Add("Name", PlayerName.Text);
            settings.Save();
        }

        private void start_Click(object sender, RoutedEventArgs e)
        {
            if (Basic.IsChecked == true)
            {
                App.highLimit = 100;
                App.levelLimit = 100;
            }
            if (Medium.IsChecked == true)
            {
                App.highLimit = 10000;
                App.levelLimit = 10000;
            }
            if (Super.IsChecked == true)
            {
                App.highLimit = 1000000;
                App.levelLimit = 1000000;
            }
            if (PlayerName.Text != string.Empty)
                NavigationService.Navigate(new Uri("/Guess.xaml", UriKind.Relative));
            else
                MessageBox.Show("Insert a valid name");
        }

        private void Basic_Checked(object sender, RoutedEventArgs e)
        {
            var settings = IsolatedStorageSettings.ApplicationSettings;
            if (settings.Contains("BasicIsCheked"))
                settings["BasicIsCheked"] = Basic.IsChecked;
            else
                settings.Add("BasicIsCheked", Basic.IsChecked);

            if (settings.Contains("MediumIsCheked"))
                settings["MediumIsCheked"] = Medium.IsChecked;
            else
                settings.Add("MediumIsCheked", Medium.IsChecked);

            if (settings.Contains("SuperIsCheked"))
                settings["SuperIsCheked"] = Super.IsChecked;
            else
                settings.Add("SuperIsCheked", Super.IsChecked);

            settings.Save();
        }

        private void Medium_Checked(object sender, RoutedEventArgs e)
        {
            var settings = IsolatedStorageSettings.ApplicationSettings;
            if (settings.Contains("BasicIsCheked"))
                settings["BasicIsCheked"] = Basic.IsChecked;
            else
                settings.Add("BasicIsCheked", Basic.IsChecked);

            if (settings.Contains("MediumIsCheked"))
                settings["MediumIsCheked"] = Medium.IsChecked;
            else
                settings.Add("MediumIsCheked", Medium.IsChecked);

            if (settings.Contains("SuperIsCheked"))
                settings["SuperIsCheked"] = Super.IsChecked;
            else
                settings.Add("SuperIsCheked", Super.IsChecked);

            settings.Save();
        }

        private void Super_Checked(object sender, RoutedEventArgs e)
        {
            var settings = IsolatedStorageSettings.ApplicationSettings;
            if (settings.Contains("BasicIsCheked"))
                settings["BasicIsCheked"] = Basic.IsChecked;
            else
                settings.Add("BasicIsCheked", Basic.IsChecked);

            if (settings.Contains("MediumIsCheked"))
                settings["MediumIsCheked"] = Medium.IsChecked;
            else
                settings.Add("MediumIsCheked", Medium.IsChecked);

            if (settings.Contains("SuperIsCheked"))
                settings["SuperIsCheked"] = Super.IsChecked;
            else
                settings.Add("SuperIsCheked", Super.IsChecked);

            settings.Save();
        }

        private void ScoreListBox_Loaded(object sender, RoutedEventArgs e)
        {
            var settingsContainer = new Expoware.Utilities.SettingsContainer<Helpers.ScoreContainer>();
            var scores = settingsContainer.Load() ?? new Helpers.ScoreContainer();
            ScoreListBox.ItemsSource = scores.ScoreList;
        }

        private void PhoneApplicationPage_Loaded(object sender, RoutedEventArgs e)
        {
            //IsolatedStorageExplorer.Explorer.Start("localhost");
        }


    }
}