using System;
using System.Drawing;
using System.Collections.Generic;
using MonoTouch.Foundation;
using MonoTouch.UIKit;

namespace Demo1
{
	public partial class DetailViewController : UIViewController
	{
		MatchItem selectedMatch = null;
		
		public DetailViewController () : base ("DetailViewController", null)
		{
			Title = NSBundle.MainBundle.LocalizedString ("Match", "Details of the match");
		}
		
		public void SetDetailItem (MatchItem match)
		{
			if (selectedMatch != match) {
				selectedMatch = match;
				
				//Update the view
				ConfigureView ();
			}
		}
		
		void ConfigureView ()
		{
			// Update the user interface for the detail item
			if (selectedMatch != null) {
				//detailDescriptionLabel.Text = "6-3 6-0"; //selectedMatch.Score;
				Title = selectedMatch.Text;
			}
			
		}
		
		public override void DidReceiveMemoryWarning ()
		{
			// Releases the view if it doesn't have a superview.
			base.DidReceiveMemoryWarning ();
			
			// Release any cached data, images, etc that aren't in use.
		}
		
		public override void ViewDidLoad ()
		{
			base.ViewDidLoad ();
			
			//any additional setup after loading the view, typically from a nib.
		}
		
		public override void ViewDidUnload ()
		{
			base.ViewDidUnload ();
			
			// Release any retained subviews of the main view.
			// e.g. myOutlet = null;
		}
		
		public override bool ShouldAutorotateToInterfaceOrientation (UIInterfaceOrientation toInterfaceOrientation)
		{
			// Return true for supported orientations
			return (toInterfaceOrientation != UIInterfaceOrientation.PortraitUpsideDown);
		}
	}
}
