using System;
using System.Collections.Generic;
using MonoTouch.Foundation;
using MonoTouch.UIKit;

namespace Demo1
{
	public class MatchesDataSource : UITableViewSource
	{
		RootViewController controller;
		IList<MatchItem> matchList;

		public MatchesDataSource (RootViewController controller, IList<MatchItem> currentMatches)
		{
			this.controller = controller;
			matchList = currentMatches;
		}
		
		// Customize the number of sections in the table view.
		public override int NumberOfSections (UITableView tableView)
		{
			return 1;
		}
		
		public override int RowsInSection (UITableView tableview, int section)
		{
			return matchList.Count;
		}
		
		// Customize the appearance of table view cells.
		public override UITableViewCell GetCell (UITableView tableView, MonoTouch.Foundation.NSIndexPath indexPath)
		{
			string cellIdentifier = "Cell";
			var cell = tableView.DequeueReusableCell (cellIdentifier);
			if (cell == null) {
				cell = new UITableViewCell (UITableViewCellStyle.Subtitle, cellIdentifier);
				cell.Accessory = UITableViewCellAccessory.DisclosureIndicator;
			}
			
			// Configure the cell.
			cell.TextLabel.Text = matchList[indexPath.Row].Text;
			cell.DetailTextLabel.Text = matchList[indexPath.Row].Score;
			cell.ImageView.Image = UIImage.FromFile(matchList[indexPath.Row].Icon);
			return cell;
		}
		
		public override void RowSelected (UITableView tableView, NSIndexPath indexPath)
		{
			var DetailViewController = new DetailViewController ();
			// Pass the selected object to the new view controller.
			
			DetailViewController.SetDetailItem(matchList[indexPath.Row]); 
			controller.NavigationController.PushViewController (DetailViewController, true);
		}
	}
}
